import request from '@/utils/request'

// 查询订单list
export function getSplitInfo(data) {
  return request({
    url: '/plan/whiteOrder/getSplitInfo',
    method: 'post',
    data: data
  });
}

// 查询白坯订单管理列表
export function listWhiteOrder(query) {
	return request({
		url: '/plan/whiteOrder/list',
		method: 'get',
		params: query
	});
}

// 查询白坯订单管理详细
export function getWhiteOrder(id) {
	return request({
		url: '/plan/whiteOrder/' + id,
		method: 'get'
		});
}

// 新增白坯订单管理
export function addWhiteOrder(data) {
	return request({
		url: '/plan/whiteOrder',
		method: 'post',
		data: data
	});
}

// 修改白坯订单管理
export function updateWhiteOrder(data) {
	return request({
		url: '/plan/whiteOrder',
		method: 'put',
		data: data
	});
}

// 删除白坯订单管理
export function delWhiteOrder(id) {
	return request({
		url: '/plan/whiteOrder/' + id,
		method: 'delete'
	});
}
